GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes
geos::index::chain Namespace Reference

Contains classes that implement Monotone Chains. More...

## Classes
class | MonotoneChain
| Monotone Chains are a way of partitioning the segments of a linestring to allow for fast searching of intersections. More...
class | MonotoneChainBuilder
| Constructs MonotoneChains for sequences of Coordinates. More...
class | MonotoneChainOverlapAction
class | MonotoneChainSelectAction

## Detailed Description

Contains classes that implement Monotone Chains.